{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "loadisk:dummy.compy",
			"materials": {
				"default": "entity_alphatest"
			},
			"textures": {
				"default": "textures/mob/compy/alpha"
			},
			"geometry": {
				"default": "geometry.loadisk.compy"
			},
			"scripts": {
				"scale": "0.25",
				"animate": [
					{"idle": "!q.is_moving"},
					{"move": "q.is_moving"}
				],
				"initialize": [
					"v.update_time = 0.0;"
				],
				"pre_animation": [
					"v.update_time = q.modified_distance_moved / 8.2;"
				]
			},
			"animations": {
				"idle": "animation.compy.idle",
				"move": "animation.compy.run"
			},
			"render_controllers": ["controller.render.default"]
		}
	}
}